package jp.co.timedia.project.modules.actions.project;

import jp.co.timedia.project.modules.actions.SecureAction;
import jp.co.timedia.project.tools.*;
import jp.co.timedia.project.om.*;
import jp.co.timedia.util.*;
import org.apache.turbine.util.*;
import org.apache.velocity.context.Context;
import org.apache.turbine.services.resources.TurbineResources;

public class ProjectAction extends SecureAction {

    public void doInsert_item(RunData runData, Context context) {
	Log.debug("debug", "doInsert_item");
	try {
	    if (!isAuthorized(runData)) {
		throw new RuntimeException("Permission denied.");
	    }
	    Item item = new Item();
	    item.setName(runData, ProjectTool.NAME);
	    item.save();
	} catch (Exception e) {
	    Log.error("debug", StringUtils.stackTrace(e));
	    runData.setMessage(StringUtils.stackTrace(e));
            runData.setScreenTemplate(
                TurbineResources.getString("template.error"));
        }
    }

    public void doInsert_composition(RunData runData, Context context) {
	Log.debug("debug", "doInsert_composition");
	try {
	    if (!isAuthorized(runData)) {
		throw new RuntimeException("Permission denied.");
	    }
            Composition composition = new Composition();
            composition.setCompound(runData.getParameters().get(ProjectTool.COMPOUND));
            composition.setItem0(runData.getParameters().get(ProjectTool.ITEM0));
            composition.setItem1(runData.getParameters().get(ProjectTool.ITEM1));
            composition.setItem2(runData.getParameters().get(ProjectTool.ITEM2));
            composition.setItem3(runData.getParameters().get(ProjectTool.ITEM3));
            composition.save();
	} catch (Exception e) {
	    Log.error("debug", StringUtils.stackTrace(e));
	    runData.setMessage(StringUtils.stackTrace(e));
            runData.setScreenTemplate(
                TurbineResources.getString("template.error"));
        }
    }
}
