package jp.co.timedia.project.om.test;

import java.io.*;
import java.util.*;
import junit.framework.*;
import jp.co.timedia.util.*;
import jp.co.timedia.project.om.*;

public class CompositionPeerTest extends TestCase {

    TurbineStandaloneApp app = new TurbineStandaloneApp();

    public static void main(String[] args) {
        junit.textui.TestRunner.run(new TestSuite(CompositionPeerTest.class));
    }
    public CompositionPeerTest(String name) { super(name); }

    private List items;
    private List compositions;
    private static String NAME = "TEST_ITEM";

    public void setUp() throws Exception {
	items = new ArrayList();
	for (int i = 0;i < 100;i++) {  
	    Item item = new Item();
	    item.setName(NAME + String.valueOf(i));
	    item.save();
	    items.add(item);
	}
	compositions = new ArrayList();
	for (int i = 0;i < 100;i+=5) {  
	    Composition composition = new Composition();
	    composition.setItem0(((Item) items.get(i)).getId());
	    composition.setItem1(((Item) items.get(i + 1)).getId());
	    composition.setItem2(((Item) items.get(i + 2)).getId());
	    composition.setItem3(((Item) items.get(i + 3)).getId());
	    composition.setCompound(((Item) items.get(i + 4)).getId());
	    composition.save();
	    compositions.add(composition);
	}
    }

    public void tearDown() throws Exception {
	for (int i = 0;i < compositions.size();i++) {  
	    CompositionPeer.doDelete((Composition) compositions.get(i));
	}
	for (int i = 0;i < items.size();i++) {  
	    ItemPeer.doDelete((Item) items.get(i));
	}
    }

    public void testGetAllList() throws Exception {
	List list = CompositionPeer.getAllList();
	assertEquals(true, list.containsAll(list));
    }

    public void testGetById() throws Exception {
	Iterator ite = CompositionPeer.getAllList().iterator();
	while (ite.hasNext()) {
	    Composition composition = (Composition) ite.next();
    	    String id = composition.getId().toString();
	    assertEquals(composition, CompositionPeer.getById(id));
	}
    }
}
