package jp.co.timedia.project.om.test;

import java.util.*;
import junit.framework.*;
import jp.co.timedia.util.*;
import jp.co.timedia.project.om.*;

public class ItemPeerTest extends TestCase {

    TurbineStandaloneApp app = new TurbineStandaloneApp();

    public static void main(String[] args) {
        junit.textui.TestRunner.run(new TestSuite(ItemPeerTest.class));
    }
    public ItemPeerTest(String name) { super(name); }

    private List items;
    private String NAME = "TEST_ITEM";

    public void setUp() throws Exception {
	items = new ArrayList();
	for (int i = 0;i < 100;i++) {  
	    Item item = new Item();
	    item.setName(NAME + String.valueOf(i));
	    item.save();
	    items.add(item);
	}
    }

    public void tearDown() throws Exception {
	for (int i = 0;i < items.size();i++) {  
	    ItemPeer.doDelete((Item) items.get(i));
	}
    }

    public void testGetList() throws Exception {
	List list = ItemPeer.getAllList();
	assertEquals(true, list.containsAll(list));
    }

    public void testGetById() throws Exception {
	Iterator ite = ItemPeer.getAllList().iterator();
	while (ite.hasNext()) {
	    Item item = (Item) ite.next();
	    String id = item.getId().toString();
	    assertEquals(item, ItemPeer.getById(id));
	}
    }
}
