 package jp.co.timedia.project.tools;

import java.util.*;
import jp.co.timedia.project.om.*;
import org.apache.turbine.om.security.User;
import org.apache.turbine.services.pull.ApplicationTool;
import org.apache.turbine.util.pool.Recyclable;
import org.apache.turbine.util.*;

public class ProjectTool implements Recyclable, ApplicationTool {

    private RunData runData;
    private boolean disposed;

    public void init(Object runData) { this.runData = (RunData) runData; }

    public void refresh() {}

    public void recycle() { disposed = false; }

    public void dispose() {
        runData = null;
        disposed = true;
    }

    protected RunData getRunData() { return runData; }

    protected User getUser() { return getRunData().getUser(); }

    protected void setTemp(String key, Object value) {
	getUser().setTemp(key, value);
	getRunData().save();
    }

    protected Object getTemp(String key) {
	return getUser().getTemp(key);
    }

    protected Object removeTemp(String key) {
	Object result = getUser().removeTemp(key);
	getRunData().save();
	return result;
    }

    public boolean isDisposed() { return disposed; }

    /* ƥΥꥹȤ */
    public List getItemList() throws Exception {
	Log.debug("debug", "itemlist:" + String.valueOf(ItemPeer.getAllList().size()));
	return ItemPeer.getAllList();
    }

    /* ID饢ƥ롡*/
    public Item getItemContent(String itemId) throws Exception {
	return ItemPeer.getById(itemId);
    }

    /* ƥΥꥹȤ */
    public List getCompositionList() throws Exception {
	Log.debug("debug", "compositionlist:"
		 + String.valueOf(CompositionPeer.getAllList().size()));
 	return CompositionPeer.getAllList();
    }

    /* ƥID顤ƥ롡*/
    public Composition getCompositionContent(String compositionId) throws Exception {
	return CompositionPeer.getById(compositionId);
    }

    public static String NAME = "item_name";
    public static String COMPOUND = "compound";
    public static String ITEM0 = "item0";
    public static String ITEM1 = "item1";
    public static String ITEM2 = "item2";
    public static String ITEM3 = "item3";
}
