package jp.co.timedia.util;

import java.io.*;
import java.util.*;

public class StrUtil {
    /**
     * ʸɤUnicodeEUC-JPѴޤ.
     */
    public static String unicode2euc(String str)
	    throws UnsupportedEncodingException {
	return new String(str.getBytes("8859_1"), "EUC-JP");
    }

    /**
b     * str  encoding 沽Хˤ򤽤Τޤ 
     * Unicode ʸˤ. ȤСEUC_JP ""[-92, -94]
     * ʤ Unicode ʸˤ.
     */
    public static String forceUnicode(String str, String encoding) {
	try {
	    byte[] bytes = str.getBytes(encoding);

	    return new String(bytes, "ISO8859_1");
	} catch (java.io.UnsupportedEncodingException e) {
	    throw new InternalError("not supported ISO8859_1 or " + encoding);
	}
    }

    /**
     * HTML4.01ƤCharacterEntityѴޤ.
     * ʸ"<"">""&lt;""$gt;"Ѵ롣
     * CrossSiteScriptingкѡ
     */
    public static String toHtmlEntity(String str) {
	if (str == null) return null;
	
	str = replaceAll(str, "&", "&amp;");
	str = replaceAll(str, "<", "&lt;");
	str = replaceAll(str, ">", "&gt;");
	str = replaceAll(str, "\"", "&quot;");
	return str;
    }
    /**
     * src  pat 򤹤٤ rep ֤.
     */
    public static String replaceAll(String src, String pat, String rep) {
	if ("".equals(src) || "".equals(pat) || src.indexOf(pat) < 0) {
	    return src;
	}

	StringBuffer result = new StringBuffer();
	String s = src;
	int pos = 0;

	for (;;) {
	    if ((pos = s.indexOf(pat)) < 0) {
		result.append(s);
		break;
	    }
	    result.append(s.substring(0, pos)).append(rep);
	    s = s.substring(pos + pat.length());
	}
	return result.toString();
    }

}
